Bug 490722 - Review Request: R-BSgenome - Infrastructure for Biostrings-based genome data packages
Review Request: R-BSgenome - Infrastructure for Biostrings-based genome data ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 490721
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 14:16 EDT by Pierre-YvesChibon
Modified: 2009-07-02 01:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 01:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2009-03-17 14:16:37 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs/R-BSgenome.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-BSgenome-1.10.5-1.fc10.src.rpm
Description: 
Infrastructure shared by all the Biostrings-based genome data packages
Comment 1 Mattias Ellert 2009-03-25 22:27:59 EDT
Package does not build due to missing BuildRequires:

Error: package 'Biostrings' required by 'BSgenome' could not be found
Execution halted
ERROR: lazy loading failed for package 'BSgenome'
Comment 2 Pierre-YvesChibon 2009-04-01 05:15:36 EDT
arf there is a missing BR on R-Biostrings
Comment 4 Mattias Ellert 2009-04-03 05:16:45 EDT
see bug 490721 comment 3
Comment 5 Mattias Ellert 2009-05-11 07:42:53 EDT
Fedora review R-BSgenome-1.10.5-1.fc10.src.rpm (2009-05-11)

* OK
! Needs attention

* rpmlint output

R-BSgenome.noarch: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-BSgenome.noarch: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

  The one-line-command warnings are standard for R packages

* Package is named according to R packaging guidelines

* Package follows R packaging guidelines

* The package is licensed under a Fedora approved license (Artistic 2.0)

* The license matches what is written in the DESCRIPTION file
  No license/copyright statements that contradict this was found

* License text not included in the package (OK since the stated
  licence does not require it).

* Specfile is written in legible English and uses macros consitently

* Source matches upstream

  9e9f8793065e5c49c07240c6cdcade9c  BSgenome_1.10.5.tar.gz
  9e9f8793065e5c49c07240c6cdcade9c  SRPM/BSgenome_1.10.5.tar.gz

! However it is not the latest version (1.12.0 is available for BioC 2.4)

* Package compiles in mock (Fedora 10)

! BuildRequires and Requires look sane, but

  Is the "Requires: R-biobase" appropriate? It is not listed as a
  Depends or Imports on the package web site. (It will be dragged in
  as a dependency of the R-Biostrings package which is a direct
  dependency)

* %check is present, but disabled with the comment - which makes sense.

* The package owns the directories it creates

* No duplicate files

* %files has %defattrs, and permissions are sane.

* %clean clears %buildroot

* Package contains permissable content

* Package doesn't own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8 (even valid ASCII)

* Scriptlets are sane
Comment 6 Pierre-YvesChibon 2009-05-18 11:09:30 EDT
(In reply to comment #5)
> Fedora review R-BSgenome-1.10.5-1.fc10.src.rpm (2009-05-11)

> ! However it is not the latest version (1.12.0 is available for BioC 2.4)

> ! BuildRequires and Requires look sane, but
> 
>   Is the "Requires: R-biobase" appropriate? It is not listed as a
>   Depends or Imports on the package web site. (It will be dragged in
>   as a dependency of the R-Biostrings package which is a direct
>   dependency)
> 

Corrected in :
Spec URL: http://pingou.fedorapeople.org/RPMs/R-BSgenome.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-BSgenome-1.12.0-1.fc10.src.rpm
Comment 7 Mattias Ellert 2009-05-18 17:25:55 EDT
There is one tiny issue left - which I should have noted earlier:

According to https://fedoraproject.org/wiki/Packaging/R#Documentation_files the NAMESPACE file should not be marked %doc.

I trust you can fix that before importing the package to cvs.


Package approved.
Comment 8 Pierre-YvesChibon 2009-05-18 17:55:15 EDT
Thanks for the review (once again :-) ), I will fix the %doc before importing

New Package CVS Request
=======================
Package Name: R-BSgenome
Short Description: Infrastructure shared by all the Biostrings-based genome data packages 
Owners: pingou
Branches: F-10 F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-05-18 19:43:44 EDT
cvs done.
Comment 10 Fedora Update System 2009-05-28 03:23:46 EDT
R-BSgenome-1.12.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-BSgenome-1.12.0-2.fc10
Comment 11 Fedora Update System 2009-05-28 03:23:51 EDT
R-BSgenome-1.12.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-BSgenome-1.12.0-2.fc11
Comment 12 Fedora Update System 2009-05-29 22:29:23 EDT
R-BSgenome-1.12.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-BSgenome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5661
Comment 13 Fedora Update System 2009-05-29 22:35:44 EDT
R-BSgenome-1.12.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-BSgenome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5694
Comment 14 Fedora Update System 2009-06-16 11:40:09 EDT
R-Biobase-2.4.1-1.fc10,R-RUnit-0.4.22-1.fc10,R-IRanges-1.2.3-1.fc10,R-BSgenome-1.12.2-1.fc10,R-BufferedMatrixMethods-1.8.0-3.fc10,R-Biostrings-2.12.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-Biobase-2.4.1-1.fc10,R-RUnit-0.4.22-1.fc10,R-IRanges-1.2.3-1.fc10,R-BSgenome-1.12.2-1.fc10,R-BufferedMatrixMethods-1.8.0-3.fc10,R-Biostrings-2.12.6-1.fc10
Comment 15 Fedora Update System 2009-06-16 11:41:17 EDT
R-Biobase-2.4.1-1.fc11,R-RUnit-0.4.22-1.fc11,R-IRanges-1.2.3-1.fc11,R-BSgenome-1.12.2-1.fc11,R-BufferedMatrixMethods-1.8.0-3.fc11,R-Biostrings-2.12.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-Biobase-2.4.1-1.fc11,R-RUnit-0.4.22-1.fc11,R-IRanges-1.2.3-1.fc11,R-BSgenome-1.12.2-1.fc11,R-BufferedMatrixMethods-1.8.0-3.fc11,R-Biostrings-2.12.6-1.fc11
Comment 16 Fedora Update System 2009-06-18 07:40:44 EDT
R-Biobase-2.4.1-1.fc10, R-RUnit-0.4.22-1.fc10, R-IRanges-1.2.3-1.fc10, R-BSgenome-1.12.2-1.fc10, R-BufferedMatrixMethods-1.8.0-3.fc10, R-Biostrings-2.12.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-Biobase R-RUnit R-IRanges R-BSgenome R-BufferedMatrixMethods R-Biostrings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6530
Comment 17 Fedora Update System 2009-06-18 07:58:59 EDT
R-Biobase-2.4.1-1.fc11, R-RUnit-0.4.22-1.fc11, R-IRanges-1.2.3-1.fc11, R-BSgenome-1.12.2-1.fc11, R-BufferedMatrixMethods-1.8.0-3.fc11, R-Biostrings-2.12.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-Biobase R-RUnit R-IRanges R-BSgenome R-BufferedMatrixMethods R-Biostrings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6673
Comment 18 Fedora Update System 2009-07-02 01:49:17 EDT
R-Biobase-2.4.1-1.fc10, R-RUnit-0.4.22-1.fc10, R-IRanges-1.2.3-1.fc10, R-BSgenome-1.12.2-1.fc10, R-BufferedMatrixMethods-1.8.0-3.fc10, R-Biostrings-2.12.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-07-02 01:50:27 EDT
R-Biobase-2.4.1-1.fc11, R-RUnit-0.4.22-1.fc11, R-IRanges-1.2.3-1.fc11, R-BSgenome-1.12.2-1.fc11, R-BufferedMatrixMethods-1.8.0-3.fc11, R-Biostrings-2.12.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.